public class Item implements Comparable {
  String itemName;   // name of item that can be purchased
  int stock;         // number of items in stock

  Item(String itemName, int stock) {
    assert stock >= 0: "Stock must be more than 0 items.";
    this.itemName = itemName;
    this.stock = stock;
  }

  public String getItemName() { return itemName; }
  public int getStock() { return stock; }
  public void setItemName(String itemName) {
    this.itemName = itemName;
  }
  public void settStock(int stock) {
    assert stock >= 0: "Stock must be more than 0 items.";
    this.stock = stock;
  }

  public int compareTo(Object obj) {
    assert (obj instanceof Item) : "Not an Item object";
    if (this == obj) return 0;
    Item item = (Item) obj;
    String itemName2 = item.getItemName();
    int stock2 = item.getStock();
    if (itemName.compareTo(itemName2) == 0) { // same itemName
      return stock -  stock2;
    }
    else
      return itemName.compareTo(itemName2);   // this Item has a "smaller" name
  }

  public boolean equals(Object obj) {  // Corresponds to compareTo()
    if (!(obj instanceof Item))
      return false;
    return this.compareTo(obj) == 0;
  }

  public String toString() { // overrides toString() from the Object class
    return "\nItem name: " + itemName + "\tNumber in stock: " + stock;
  }
}